Subject: FVWM: Re: a naive Xinerama question

From: "Matthias Clasen" <[email-masked]>
Date: Wed, 8 Aug 2001 14:36:02 +0200

> On Tue, 7 Aug 2001, Olivier Chapuis wrote:
> 
> > Hello,
> > 
> > I have a very naive Xinerama question:
> > Is it possible to send to modules a "M_NEW_SCREEN" message
> > when the mouse pointer change of screen?
> 
	> Technicaly it isn't possible -- X server wouldn't generate
> "EnterScreenNotify" events, since Xinerama screens look like a single
> large screen.  

But it would certainly be a useful addition to the Xinerama extension to
send "EnterXineramaHead" and LeaveXineramaHead events  - IIRC X 
extensions can introduce new events.  If these events contain the a
head number, interested applications can then easily maintain information
about the set of heads the pointer is in (even for the pathological case
of overlapping heads).

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].